<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>dp-libary: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">dp-libary
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedp.html">dp</a></li><li class="navelem"><a class="el" href="classdp_1_1_s_g_d___momentum.html">SGD_Momentum</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">dp.SGD_Momentum Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classdp_1_1_s_g_d___momentum.html">dp.SGD_Momentum</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classdp_1_1_s_g_d___momentum.html#a099a73a8b975deb76543b18d26076568">__init__</a>(self, model, x_train=None, y_train=None, hyperparam=dict(), batch_size=128)</td><td class="entry"><a class="el" href="classdp_1_1_s_g_d___momentum.html">dp.SGD_Momentum</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classdp_1_1_s_g_d___momentum.html#a1ae93643c2d0f329be99907b1861b123">_set_param</a>(self)</td><td class="entry"><a class="el" href="classdp_1_1_s_g_d___momentum.html">dp.SGD_Momentum</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdp_1_1_s_g_d___momentum.html#a092f3efcd8d72c1262268bb8fe63710c">_update</a>(self, param, grad, g, i)</td><td class="entry"><a class="el" href="classdp_1_1_s_g_d___momentum.html">dp.SGD_Momentum</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classdp_1_1_s_g_d___momentum.html#ab06b99ead1a603967af1e1933c069a38">alpha</a></td><td class="entry"><a class="el" href="classdp_1_1_s_g_d___momentum.html">dp.SGD_Momentum</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdp_1_1_optimizer.html#a374e95a5d35faeb137fabd94ed104e9b">batch_size</a></td><td class="entry"><a class="el" href="classdp_1_1_optimizer.html">dp.Optimizer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classdp_1_1_s_g_d___momentum.html#ab896ab9506718ef96bb3c1abcc09bd37">beta</a></td><td class="entry"><a class="el" href="classdp_1_1_s_g_d___momentum.html">dp.SGD_Momentum</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdp_1_1_optimizer.html#ab6c2de8b302be8f77b2ddff68f0992d4">grad_stores</a></td><td class="entry"><a class="el" href="classdp_1_1_optimizer.html">dp.Optimizer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classdp_1_1_optimizer.html#a593bdadf824f79891377a3c050c99fa4">hyperparam</a></td><td class="entry"><a class="el" href="classdp_1_1_optimizer.html">dp.Optimizer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdp_1_1_optimizer.html#a87796ce2b5cb6a047c0860ae9a55d184">loss_hist</a></td><td class="entry"><a class="el" href="classdp_1_1_optimizer.html">dp.Optimizer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classdp_1_1_optimizer.html#a114f66410d89e675f7ad3d9b91bf7a05">model</a></td><td class="entry"><a class="el" href="classdp_1_1_optimizer.html">dp.Optimizer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdp_1_1_optimizer.html#a31528d8142903b452aff6d49e262c100">para_hist</a></td><td class="entry"><a class="el" href="classdp_1_1_optimizer.html">dp.Optimizer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classdp_1_1_optimizer.html#a2a0b11a871c1384deefff064acb540c7">random_batch</a>(self)</td><td class="entry"><a class="el" href="classdp_1_1_optimizer.html">dp.Optimizer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdp_1_1_s_g_d___momentum.html#a0240c22c7f9e6eaf6539067290014c6c">train</a>(self, steps=1000, print_each=100, err_hist=False)</td><td class="entry"><a class="el" href="classdp_1_1_s_g_d___momentum.html">dp.SGD_Momentum</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classdp_1_1_optimizer.html#aa4a9f3166f3c2ff59cec886fef8760d3">dp::Optimizer.train</a>(self, steps=1000, print_each=100)</td><td class="entry"><a class="el" href="classdp_1_1_optimizer.html">dp.Optimizer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdp_1_1_optimizer.html#a4db1f4d316fd8fdfed4b397e75586dfb">x_train</a></td><td class="entry"><a class="el" href="classdp_1_1_optimizer.html">dp.Optimizer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classdp_1_1_optimizer.html#af5970f4dba06b7eceae7f5c4cc05694e">y_train</a></td><td class="entry"><a class="el" href="classdp_1_1_optimizer.html">dp.Optimizer</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
